Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604136 - gmediarender: FTBFS in Fedora rawhide
Summary: gmediarender: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmediarender
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 21:10 UTC by Mohan Boddu
Modified: 2019-01-30 02:06 UTC (History)
2 users (show)

Fixed In Version: gmediarender-0-0.10.20190121gitbb7ce8e.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-30 02:06:47 UTC


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 21:10 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 21:10 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 21:11 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 21:10:44 UTC
gmediarender failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28182124


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix gmediarender at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gmediarender will be orphaned. Before branching of Fedora 30,
gmediarender will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 21:10:51 UTC
Created attachment 1462314 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 21:10:55 UTC
Created attachment 1462315 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 21:11:01 UTC
Created attachment 1462316 [details]
state.log

Comment 4 Zamir SUN 2018-07-22 15:12:20 UTC
This is because:
1. BR: gcc needed
2. gmediarender still do not support libupnp1.8. See https://github.com/hzeller/gmrender-resurrect/issues/148

I need to wait for the support to be fixed upstream.

Comment 5 Igor Gnatenko 2018-07-23 15:36:59 UTC
Matches:
configure: error: no acceptable C compiler found in $PATH

Suggested fix:
BuildRequires:  gcc

Comment 6 Jan Kurik 2018-08-14 09:38:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Jean-Francois Dockes 2018-09-26 12:56:39 UTC
The API for libupnp 1.8 is incompatible with the one in 1.6 and is not well or at all supported by most current applications (gmediarenderer is just one among many).

libupnp 1.8 is also quite unstable at the moment. Just two examples in 1.8.3

 - The web server can't serve files over 4 GB on 32 bits machines.
 - Applications which include upndebug.h will not build (cc error).

As far as I know most current distributions either ship both versions 1.6 and 1.8 (e.g. Debian), or stay with 1.6 (arch Linux!).

As both contributor to libupnp and developer of applications using it, I really believe that it would be better if Fedora did the same: stay with 1.6.25, or ship both branches.

Comment 8 Jean-Francois Dockes 2018-09-26 14:29:39 UTC
Also, 1.8.3 crashes in the discovery callback, probably because of this bug or something similar:
https://github.com/mrjimenez/pupnp/commit/6556b0b870a626edd823024d58042b71e33aacd9

TLDR: libupnp 1.8 branch is unstable and little used (for now). Please restore libupnp 1.6 in Fedora !

Comment 9 Fedora Update System 2019-01-21 10:15:53 UTC
gmediarender-0-0.10.20190121gitbb7ce8e.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f7f78aaf0

Comment 10 Zamir SUN 2019-01-21 10:59:45 UTC
(In reply to Jean-Francois Dockes from comment #8)
> Also, 1.8.3 crashes in the discovery callback, probably because of this bug
> or something similar:
> https://github.com/mrjimenez/pupnp/commit/
> 6556b0b870a626edd823024d58042b71e33aacd9
> 
> TLDR: libupnp 1.8 branch is unstable and little used (for now). Please
> restore libupnp 1.6 in Fedora !

hi,

This is a gmediarender bug, not a libupnp bug. Replying here won't attract any libupnp package maintainer aware. So please file separate bug for libupnp if this is still needed.

Meanwhile, another fork of gmediarender included the support for libupnp, so we are now building against that fork.

Comment 11 Fedora Update System 2019-01-22 03:03:36 UTC
gmediarender-0-0.10.20190121gitbb7ce8e.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f7f78aaf0

Comment 12 Fedora Update System 2019-01-30 02:06:47 UTC
gmediarender-0-0.10.20190121gitbb7ce8e.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.